Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511150 - x240/x250 touchpad (Synaptics TM3075-001) hardly usable with the libinput
Summary: x240/x250 touchpad (Synaptics TM3075-001) hardly usable with the libinput
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 18:59 UTC by Jaroslav Škarvada
Modified: 2018-05-29 11:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:40:53 UTC


Attachments (Terms of Use)
debug log (deleted)
2017-11-14 21:06 UTC, Jaroslav Škarvada
no flags Details
evemu-record output (deleted)
2017-11-14 21:38 UTC, Jaroslav Škarvada
no flags Details
evemu-record output for the /4 hysteresis (deleted)
2017-11-16 20:41 UTC, Jaroslav Škarvada
no flags Details

Description Jaroslav Škarvada 2017-11-08 18:59:51 UTC
Description of problem:
My Lenovo x240 with the x250 touchpad now behaves worse than my cca. $100 USD netbook. The touchpad is nearly unusable with the out-of-the-box setting and I wasn't able to tweak it. 

It's hard to describe, but it seems like wrong touchpad resolution. I am unable to precisely target buttons - sometimes when I need precise movement it lags or skips, sometimes it doesn't move until I move finger more further. But on the contrary the overall acceleration seems too slow - I am unable to scroll over the whole screen without releasing the finger.

The HW is good because Synaptics driver behaviour is superior to it.

Version-Release number of selected component (if applicable):
xorg-x11-drv-libinput-0.26.0-1.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Just boot graphical desktop (e.g. Xfce) and try to control it with the touchpad

Actual results:
Very uncomfortable behavior in comparison to Synaptics driver, details above

Expected results:
Behavior and user experience similar to Synaptics

Additional info:
I had to disable "DisableWhileTyping" because with the default settings (on) the lagging was much worse. With my touchpad/notebook it doesn't need to be enabled, because it doesn't behave erratically while typing.

My touchpad is Synaptics TM3075-001.

Comment 1 Jaroslav Škarvada 2017-11-08 19:15:34 UTC
Maybe related to https://bugs.freedesktop.org/show_bug.cgi?id=97355, similar symptoms, i.e. I cannot precisely point objects and I am unable to do precise circles. So maybe hysteresis, but probably also the acceleration is not good (I wasn't able to tweak it to work satisfactory - I spent couple of minutes on it).

Comment 2 Jaroslav Škarvada 2017-11-08 19:16:05 UTC
(In reply to Jaroslav Škarvada from comment #1)
> Maybe related to https://bugs.freedesktop.org/show_bug.cgi?id=97355, similar
> symptoms, i.e. I cannot precisely point objects and I am unable to do
> precise circles. So maybe hysteresis, but probably also the acceleration is
> not good (I wasn't able to tweak it to work satisfactory - I spent couple of
> minutes on it).

Similar symptoms, but different touchpad/clickpad.

Comment 3 Jaroslav Škarvada 2017-11-08 19:32:46 UTC
# touchpad-edge-detector 87x54 /dev/input/event16
Touchpad Synaptics TM3075-001 on /dev/input/event16
Move one finger around the touchpad to detect the actual edges
Kernel says:	x [0..1680], y [0..1002]
Touchpad sends:	x [0..1680], y [0..1002] \
^C

Touchpad size as listed by the kernel: 84x50mm
User-specified touchpad size: 87x54mm
Calculated ranges: 1680/1002

Suggested udev rule:
# <Laptop model description goes here>
evdev:name:Synaptics TM3075-001:dmi:bvnLENOVO:bvrGIET85WW(2.35):bd03/10/2016:svnLENOVO:pn20AMS22U0A:pvrThinkPadX240:rvnLENOVO:rn20AMS22U0A:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:*
 EVDEV_ABS_00=0:1680:19
 EVDEV_ABS_01=0:1002:19
 EVDEV_ABS_35=0:1680:19
 EVDEV_ABS_36=0:1002:19

Comment 4 Jaroslav Škarvada 2017-11-08 20:07:36 UTC
I tried without the hysteresis:
-	tp->hysteresis_margin.x = res_x/2;
-	tp->hysteresis_margin.y = res_y/2;
+	tp->hysteresis_margin.x = 0;
+	tp->hysteresis_margin.y = 0;

It's a bit more agile, but sometimes the cursor moves erratically. And unfortunately the lag is still there - when I need fine navigation and the cursor is stopped, I need to move my finger quite a far and then the cursor jumps.

Comment 5 Jaroslav Škarvada 2017-11-08 20:29:58 UTC
I found out the lag is there if my finger rests on the touchpad - i.e. I move my finger, kept it on the touchpad, move it again, etc. Then it lags. If I remove my finger from the touchpad it seems to be much more better. I have tap-to-click disabled.

Comment 6 Peter Hutterer 2017-11-14 05:33:30 UTC
> It's a bit more agile, but sometimes the cursor moves erratically.

That would indicate that you do need the hysteresis. You can try setting it to something smaller (res_x/4 or so?) and see what the effect of that is.

For the 'no movement, then jump' I'll need an evemu-recording to see what happens there. Thanks.

Comment 7 Jaroslav Škarvada 2017-11-14 21:06:53 UTC
Created attachment 1352162 [details]
debug log

Thanks for reply, I did:

# libinput-debug-events --enable-tap --verbose > debug.txt

I did normal left movement, then moved slightly right and finally did fine left movement. The fine left movement should be smooth, but it initially did nothing and then it jumped, then moved smoothly - looks like some hysteresis. This can be reproduced in both axis.

Comment 8 Jaroslav Škarvada 2017-11-14 21:12:29 UTC
I will also provide the evemu-record output.

Comment 9 Jaroslav Škarvada 2017-11-14 21:38:07 UTC
Created attachment 1352166 [details]
evemu-record output

Output of the evemu-record for the same type of movement (i.e. left, sligthly right, fine left).

Comment 10 Jaroslav Škarvada 2017-11-14 21:42:28 UTC
(In reply to Jaroslav Škarvada from comment #9)
> Created attachment 1352166 [details]
> evemu-record output
> 
> Output of the evemu-record for the same type of movement (i.e. left,
> sligthly right, fine left).

Finger still on the touchpad, no clicks. Sometimes it jumps much further making fine grained navigation very hard.

Comment 11 Jaroslav Škarvada 2017-11-16 20:40:06 UTC
(In reply to Peter Hutterer from comment #6)
> > It's a bit more agile, but sometimes the cursor moves erratically.
> 
> That would indicate that you do need the hysteresis. You can try setting it
> to something smaller (res_x/4 or so?) and see what the effect of that is.
> 
I tried, it's a bit more agile, but less precise. I think the default /4 is better.

Comment 12 Jaroslav Škarvada 2017-11-16 20:41:44 UTC
Created attachment 1353730 [details]
evemu-record output for the /4 hysteresis

Just some random movement, the skip/lag is better visible.

Comment 13 Jaroslav Škarvada 2017-11-16 20:42:50 UTC
(In reply to Jaroslav Škarvada from comment #11)
> (In reply to Peter Hutterer from comment #6)
> > > It's a bit more agile, but sometimes the cursor moves erratically.
> > 
> > That would indicate that you do need the hysteresis. You can try setting it
> > to something smaller (res_x/4 or so?) and see what the effect of that is.
> > 
> I tried, it's a bit more agile, but less precise. I think the default /4 is
> better.

Of course I meant the default /2, which is better.

Comment 14 Fedora End Of Life 2018-05-03 08:14:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:40:53 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.